/*
 * ball.cpp
 *
 *  Created on: 25.10.2009
 *      Author: Jan
 */

#include "libs.h"

Ball::Ball(Game* game)
{
	_game = game;
	model = new Model(-1,"./Data/Models/modelb");
	create();
}

Ball::~Ball()
{
	delete model;
}

void Ball::create()
{
	x = 0;
	y = 0;
	player = 0;
	nach = 0;
	//for(int i = 0;i<_game->playerCount;i++)
	//{
	//	nach[i] = 0;
	//}
}

void Ball::step()
{
	if (player!=0)
	{
		x = player->x;
		y = player->y;
	}
	nach -=1;
	if (nach < 0) nach = 0;
	double dist;
	Player* maxpl = player;
	printf("nach %d\n", nach);
	for(int i = 0;i<_game->playerCount;i++)
	{
		if (player!=_game->player[i])
		{
				dist = sqrt((x - _game->player[i]->x)*(x - _game->player[i]->x)+
					   (y - _game->player[i]->y)*(y - _game->player[i]->y));
				if ((0 < 80.0 - dist)&&(nach<1))
				{
					sdl_sound_play("Data/Music/beep.wav",0);
					maxpl = _game->player[i];
					nach = 60;
				}
		}
	}
	player = maxpl;

	if (player!=0)
	{
		x = player->x;
		y = player->y;
	}
	for (int i = 0; i<_game->playerCount; i++)
	{
		if (player==_game->player[i])
		{
			_game->points[i]+=0.1;
		}
	}
}

void Ball::draw()
{
	glPushMatrix();
			glTranslatef(x, y, 23);
			glPushMatrix();
				//glRotated(zdir+90, 0, 0, 1);
				//glRotated(ydir, 0, 1, 0);
				//glRotated(xdir, 1, 0, 0);
				//printf("draw model bef\n");
				model->draw();
			glPopMatrix();
		glPopMatrix();
}
