/*
 * effects.cpp
 *
 *  Created on: 22.10.2009
 *      Author: Jan
 */

#include "libs.h"

/**------------------------------- Basic effect ----------------------------------**/
Effect::Effect()
{}
Effect::Effect(Game* game, int x, int y, int time, Uint32 color)
{
    _x = x;
    _y = y;
    _time = time;
    _color = color;
    _game = game;
    _screen = game->_screen;
    _game->add_effect(this);
}
void Effect::step()
{
    _time--;
    if (_time<=0)
    {
        _game->delete_effect(this);
    }
}

/**------------------------------- Effect flek----------------------------------**/
Ef_flek::Ef_flek(Game* game, int x, int y , int x2, int y2)
          : Effect(game, x, y, 150, 0)
{
    _x2 = x2;
    _y2 = y2;
	step();
}
void Ef_flek::step()
{
    Effect::step();
}
void Ef_flek::draw()
{
	double vzd = sqrt((_x-_x2)*(_x-_x2)+(_y-_y2)*(_y-_y2));
	glBegin(GL_QUADS);
		//printf("flekxy %d, %d \n",_x,_y);
		glColor4f(0.1f, 0.1f, 0.0f, 0.3f);
		glVertex3f( _x + 5*(_y-_y2)/vzd, _y - 5*(_x-_x2)/vzd, -9);
		glVertex3f( _x - 5*(_y-_y2)/vzd, _y + 5*(_x-_x2)/vzd, -9);
		glVertex3f( _x2- 5*(_y-_y2)/vzd, _y2+ 5*(_x-_x2)/vzd, -9);
		glVertex3f( _x2+ 5*(_y-_y2)/vzd, _y2- 5*(_x-_x2)/vzd, -9);
	glEnd();
}

