/*
 * model.h
 *
 *  Created on: 19.10.2009
 *      Author: Jan
 */

#ifndef MODEL_H_
#define MODEL_H_

#include "libs.h"

struct MPoint
{
	float x,y,z;
};
struct MFace
{
	float x[3];
	float y[3];
	float z[3];
	float colr, colg, colb;
	MFace(Mesh* Mesh, int color, int a,int b,int c);
	void draw();
};

class Mesh
{
public:
	int pn,fn;
	vector<MPoint> P;
	vector<MFace*> F;
	void draw();
};

class Model
{
public:
	int mn;
	vector<Mesh*> M;
	Model();
	Model(int color, char* filename);
	void draw();
};

#endif /* MODEL_H_ */
