/*
 * options.h
 *
 *  Created on: 11.10.2009
 *      Author: Jan
 */

#ifndef OPTIONS_H_
#define OPTIONS_H_

#define OP_SCRSIZEW 1024;
#define OP_SCRSIZEH 1024;

#include "libs.h"

class OPD//OptionPlayerData
{
    SDL_Surface* _screen;
    SDL_Rect _plusrect, _cutrect, _winrect;
    Options* _options;
public:
    bool enabled;
    bool active;
    int _id;
    OPD(Options* options, int id);
    void step();
    void draw();

};

class Options
{
    int _phase;
    Menu *_menu;
    SDL_Rect _caprect, _backrect;
public:
    SDL_Surface* _screen;
    SDL_Surface *_spr_caption, *_spr_background, *_spr_window, *_spr_plus;
    OPD* _opd[4];
    int _playerN;

    Options(Menu* menu);
    void step(bool &done);
    void draw();
    void createOPD();
};

#endif /* OPTIONS_H_ */
