/*
 * weapons.cpp
 *
 *  Created on: 25.10.2009
 *      Author: Jan
 */

#include "libs.h"

Weapon::Weapon(Player *player, double x,double y, double dir, double speed)
{
	_player = player;
	_x = x; _y = y;
	_dir = dir; _speed = speed;
	model = new Model(_player->color,"Data/Models/modelb");

}

Weapon::~Weapon()
{
	delete model;
}

void Weapon::step()
{
	_x += _speed*cos(_dir*PI/180);
	_y += _speed*sin(_dir*PI/180);
}

void Weapon::draw()
{
	glPushMatrix();
		glTranslatef(_x, _y, 20);
		glEnable( GL_DEPTH_TEST );
		glPushMatrix();
			glRotated(_dir+90, 0, 0, 1);
			model->draw();
		glPopMatrix();
		glDisable( GL_DEPTH_TEST );
	glPopMatrix();
}
