/*
 * effects.h
 *
 *  Created on: 22.10.2009
 *      Author: Jan
 */

#ifndef EFFECTS_H_
#define EFFECTS_H_

#include "libs.h"

class Effect
{
public:
    Game* _game;
    int _x, _y;
    int _size;
    int _time;
    Uint32 _color;
    SDL_Surface* _screen;
    Effect();
    //Effect(Game* game);
    Effect(Game* game, int x, int y, int time, Uint32 color);
    virtual void step();
    virtual void draw() = 0;
};

class Ef_flek : public Effect
{
    double _x2,_y2;
public:
    Ef_flek(Game* game, int x, int y, int x2, int y2);
    void step();
    void draw();
};

#endif /* EFFECTS_H_ */
