/*
 * font.h
 *
 *  Created on: 11.10.2009
 *      Author: Jan
 */

#ifndef FONT_H_
#define FONT_H_

#include "libs.h"

class Font
{
    TTF_Font* _font;
    SDL_Surface* _screen;
    SDL_Color _col;
    int _va, _ha;
public:
    Font(SDL_Surface* screen);
    Font(SDL_Surface* screen, const char* path, int size);
    ~Font();
    void set_color(SDL_Color color);
    void set_valign(int align);
    void set_halign(int align);
    void draw_text(const char* text, int x, int y);
};

SDL_Color sdl_rgb(int r, int g, int b);


#endif /* FONT_H_ */
