/*
 * game.h
 *
 *  Created on: 17.10.2009
 *      Author: Jan
 */

#ifndef GAME_H_
#define GAME_H_

#define EFFECT_MAX 4000

#include "libs.h"

class Game
{
	//void create_track();
	SDL_TimerID timer_id;
	double camx,camy,camz, camtx, camty, camtz;
	double cdd,cxd,cyd,czd, camhs, camvs;
	int _effE, _effC;
	SDL_Surface* textureG;
public:
	SDL_Surface* _screen;
	SDL_Surface *_sprIB;
	double time;
	double points[4];

	Game(Menu *menu);
	~Game();
	int playerCount;
	int inh;
	Player* player[4];
	Ball* ball;

	Effect* effects[EFFECT_MAX];
	void add_effect(Effect *effect);
	void delete_effect(Effect *effect);

	int wminx,wmaxx,wminy,wmaxy;

	//int _sww, _swh, _level;

	void step(bool &done);
	void draw();
	//void round_start();
	void race_start();

	//void draw_track();
	//void drawShowers();

	//void load_track();
};

#endif /* GAME_H_ */
