/*
 * geometry.cpp
 *
 *  Created on: 11.10.2009
 *      Author: Jan
 */

#include "libs.h"

int round(float f)
{
    return floor( f + float(0.5) );
}

int sign(double v)
{
    if (v<0)
        return -1;
    if (v>0)
        return 1;
    return 0;
}
/*

Vec::Vec()
{
    X = 0;
    Y = 0;
    D = 0;
    R = 0;
}

Vec::Vec(int mode, float a, float b)
{
    if (mode = 0)
        set_xy(a,b);
    if (mode = 1)
        set_dr(a,b);
}

void Vec::set_xy(float x, float y)
{
    X = x;
    Y = y;
    if (X == 0)
        D = 180+90*sign(Y);
    if (X > 0)
        D = atan( -Y / X ) * 180 / PI;
    if (X < 0)
        D = atan( -Y / X ) * 180 / PI+180;
    R = sqrt(X*X+Y*Y);
}
void Vec::set_dr(float d, float r)
{
    D = d;
    R = r;
    X = R * cos( D * PI / 180 );
    Y = - R * sin( D * PI / 180 );
}

float Vec::get_x()
{
    return X;
}
float Vec::get_y()
{
    return Y;
}
float Vec::get_d()
{
    return D;
}
float Vec::get_r()
{
    return R;
}

Vec Vec::operator+(Vec v)
{
   Vec vec;
   vec.set_xy(this->get_x()+v.get_x(),this->get_y()+v.get_y());
   return vec;
}
*/
Point::Point()
{
    Point::x = 0;
    Point::y = 0;
}
Point::Point(int x, int y)
{
    Point::x = x;
    Point::y = y;
}

Rectangle::Rectangle()
{
    x1 = 0;
    y1 = 0;
    x2 = 0;
    y2 = 0;
}
Rectangle::Rectangle(int x1, int y1, int x2, int y2)
{
    Rectangle::x1 = x1;
    Rectangle::y1 = y1;
    Rectangle::x2 = x2;
    Rectangle::y2 = y2;
}
Rectangle::Rectangle(Point p1, Point p2)
{
    Rectangle::x1 = p1.x;
    Rectangle::y1 = p1.y;
    Rectangle::x2 = p2.x;
    Rectangle::y2 = p2.y;
}
Rectangle::operator Point()
{
    return Point( (x1+x2)/2, (y1+y2)/2);
}

/*
bool c_line_line(Rectangle r1, Rectangle r2)
{
    if (not c_rect_rect(r1, r2))
        return false;
    if (r1.x1 == r1.x2)
    {
        if (r1.y1 == r1.y2)
            return false;
        if (r2.y1 == r2.y2)
            return true;
        goto rot;
    }
    if (r2.x1 == r2.x2)
    {
        if (r2.y1 == r2.y2)
            return true;
        if (r1.y1 == r1.y2)
            return true;
        goto rot;
    }
    double a1 = (double(r1.y1 - r1.y2))/(double(r1.x1 - r1.x2));
    double b1 = r1.y1 - r1.x1 * a1;
    double a2 = (double(r2.y1 - r2.y2))/(double(r2.x1 - r2.x2));
    double b2 = r2.y1 - r2.x1 * a2;
    if (a1 == a2)
    {
        if (b1 == b2) return true;
        return false;
    }
    double x = (b2 - b1)/(a1 - a2);
    if  ( ( ((x>=r1.x1)&&(x<=r1.x2)) || ((x<=r1.x1)&&(x>=r1.x2)) )
        &&( ((x>=r2.x1)&&(x<=r2.x2)) || ((x<=r2.x1)&&(x>=r2.x2)) ) )
        return true;
    return false;
    rot:
    double ya1 = (double(r1.x1 - r1.x2))/(double(r1.y1 - r1.y2));
    double yb1 = r1.x1 - r1.y1 * ya1;
    double ya2 = (double(r2.x1 - r2.x2))/(double(r2.y1 - r2.y2));
    double yb2 = r2.x1 - r2.y1 * ya2;
    if (ya1 == ya2)
    {
        if (yb1 == yb2) return true;
        return false;
    }
    double y = (yb2 - yb1)/(ya1 - ya2);
    if  ( ( ((y>=r1.y1)&&(y<=r1.y2)) || ((y<=r1.y1)&&(y>=r1.y2)) )
        &&( ((y>=r2.y1)&&(y<=r2.y2)) || ((y<=r2.y1)&&(y>=r2.y2)) ) )
        return true;
    return false;
}
bool c_line_rect(Rectangle r1, Rectangle r2)
{
    if ( ( ( sign(r1.x1-r2.x1) != sign(r1.x1-r2.x2) )
        && ( sign(r1.y1-r2.y1) != sign(r1.y1-r2.y2) ) )
      || ( ( sign(r1.x2-r2.x1) != sign(r1.x2-r2.x2) )
        && ( sign(r1.y2-r2.y1) != sign(r1.y2-r2.y2) ) ) )
        return true;
    return false;

}

//bool c_line_obj(Rectangle r, Object o){}

bool c_rect_rect(Rectangle r1, Rectangle r2)
{
    if ( (( sign(r1.x1-r2.x1) != sign(r1.x2-r2.x1) ) || ( sign(r1.x1-r2.x2) != sign(r1.x2-r2.x2) )
       || ( sign(r2.x1-r1.x1) != sign(r2.x2-r1.x1) ) || ( sign(r2.x1-r1.x2) != sign(r2.x2-r1.x2) ))
    &&   (( sign(r1.y1-r2.y1) != sign(r1.y2-r2.y1) ) || ( sign(r1.y1-r2.y2) != sign(r1.y2-r2.y2) )
       || ( sign(r2.y1-r1.y1) != sign(r2.y2-r1.y1) ) || ( sign(r2.y1-r1.y2) != sign(r2.y2-r1.y2) )) )
        return true;
    return false;
}
*/
//bool c_rect_obj(Rectangle r, Object o){}

//bool c_obj_obj(Object o1, Object o2){}


bool mouse_in_B(Menu* menu, int b)
{
    int x1,y1,x2,y2,x,y;
    x1 = menu->_buttrect[b].x;
    y1 = menu->_buttrect[b].y;
    x2 = menu->_buttrect[b].x + menu->_cap_button[b]->w;
    y2 = menu->_buttrect[b].y + menu->_cap_button[b]->h;

    SDL_GetMouseState(&x,&y);
    //printf("Mouse x:%i y:%i \n", x, y);
    x = x+(1024-800)/2;//(((x-400)*64/75)+256);
    y = y+(1024-600)/2;//(y*64/75);
    //printf("Mouse x:%i y:%i \n", x, y);

    if ((x>x1)and(x<x2)and(y>y1)and(y<y2))
        return true;
    return false;
}

bool mouse_in_rect(int x1, int y1, int x2,int y2)
{
    int x,y;
    SDL_GetMouseState(&x,&y);

    x = x+(1024-800)/2;//(((x-400)*64/75)+256);
    y = y+(1024-600)/2;//(y*64/75);

    if ((x>x1)and(x<x2)and(y>y1)and(y<y2))
        return true;
    return false;
}

