/*
 * info.cpp
 *
 *  Created on: 11.10.2009
 *      Author: Jan
 */

#include "libs.h"

Info::Info(SDL_Surface* screen)
{
    printf("info start\n");
	_screen = screen;
    _background = SDL_LoadBMP("Data/Images/Menu_back.bmp");

    _spr_caption = SDL_LoadBMP("Data/Images/Info_cap.bmp");
    //SDL_SetColorKey(_spr_caption, SDL_SRCCOLORKEY | SDL_RLEACCEL, SDL_MapRGB(_spr_caption->format, 0, 0, 0));

    printf("img loaded\n");

    _brect.x = (_screen->w - _background->w) / 2;
    _brect.y = (_screen->h - _background->h) / 2;

    _crect.x = (_screen->w - _spr_caption->w) / 2;
    _crect.y = (_screen->h - _spr_caption->h) / 2 - 230;

    bool done;
    while (!done)
    {
        step(done);
        draw();
    }
}

void Info::step(bool &done)
{
    SDL_Event event;
    while (SDL_PollEvent(&event))
    {
        // check for messages
        switch (event.type)
        {
            case SDL_QUIT:
                done = true;
            break;

            case SDL_KEYDOWN:
            {
                if (event.key.keysym.sym == SDLK_ESCAPE)
                    done = true;
                break;
            }
            case SDL_MOUSEBUTTONDOWN:
            {
                break;
            }
        }
    }
}

void Info::draw()
{
    SDL_FillRect(_screen, 0, SDL_MapRGB(_screen->format, 0, 0, 0));
    SDL_BlitSurface(_background, 0, _screen, &_brect);
    SDL_BlitSurface(_spr_caption, 0, _screen, &_crect);
    //Font font(_screen, "Data/Fonts/comic.ttf", 80);
    Font font2(_screen, "Data/Fonts/comic.ttf", 25);
    Font font3(_screen, "Data/Fonts/comic.ttf", 22);
    //font.set_color(sdl_rgb(0,200,200));
    font2.set_color(sdl_rgb(0,255,255));
    font3.set_color(sdl_rgb(0,180,180));
    //font.set_halign(1);
    //font.draw_text("TAOS (TBCB)", 512, 270);
    font2.set_halign(1);
    font2.draw_text("Team: Burning Marek", 512, 420);
    font3.set_halign(1);
    int a = 460; int b = 28;
    font3.draw_text("Jan Hozza", 512, a);
    font3.draw_text("Martin Pinter", 512, a+b);
    font3.draw_text("Tomas Mesaros", 512, a+b*2);
    font3.draw_text("Karol Nagyeri", 512, a+b*3);
    font3.draw_text("Marek Spano", 512, a+b*4);
    font3.draw_text("Boris Vavrik", 512, a+b*5);
    font2.draw_text("Version: 1.0", 512, 650);

    SDL_Flip(_screen);
    menuDraw(_screen);
}


