/*
 * libs.h
 *
 *  Author: Burning Marek
 */

#ifndef LIBS_H_
#define LIBS_H_

#include <iostream>
using namespace std;
#include <cstdlib>

#include <windows.h>
#include <SDL/SDL.h>
#include <SDL/SDL_opengl.h>
#include <SDL/SDL_ttf.h>
#include <SDL/SDL_mixer.h>
#include <GL/gl.h>
#include <GL/glu.h>
//#include <GL/glaux.h>

#include <vector>
#include <string>
#include <cmath>
#include <float.h>

class Menu;
class Options;
class Info;
class Font;
class Game;
class Mesh;
class Model;
class Player;
class Effect;

#include "ball.h"
#include "weapons.h"
#include "sound.h"
#include "effects.h"
#include "geometry.h"
#include "menu.h"
#include "game.h"
#include "players.h"
#include "options.h"
#include "info.h"
#include "font.h"
#include "graphics.h"
#include "model.h"

#endif /* LIBS_H_ */
